%bcond_with nose2

Summary:        Parameterized testing with any Python test framework
Name:           python-parameterized
Version:        0.9.0
Release:        3%{?dist}
License:        BSD-2-Clause-Views
URL:            https://github.com/wolever/parameterized
Source0:        %{url}/archive/v%{version}/parameterized-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(pytest)
%if %{with nose2}
BuildRequires:  python3dist(nose2)
%endif

BuildArch:      noarch


%description
Parameterized fixes parameterized testing in Python. For everything.
Parameterized testing for nose, parameterized testing for py.test,
parameterized testing for unittest.


%package -n python3-parameterized
Summary:        Parameterized testing with any Python test framework

%description -n python3-parameterized
Parameterized fixes parameterized testing in Python. For everything.
Parameterized testing for nose, parameterized testing for py.test,
parameterized testing for unittest.


%prep
%autosetup -n parameterized-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files parameterized


%check
sed -r -i 's/^import mock/from unittest import mock/' parameterized/test.py
sed -r -i 's/assert_equal\(missing/# &/' parameterized/test.py

%if %{with nose2}
%{python3} -m nose2 -v
%endif
%pytest parameterized/test.py
%{python3} -m unittest -v parameterized.test


%files -n python3-parameterized -f %{pyproject_files}
%doc CHANGELOG.txt README.rst


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.0-1
- initial build
